#
# spec file for package openmcu (Version 1.0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp openh323 openh323-devel openssl openssl-devel pwlib pwlib-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openh323 openh323-devel openssl openssl-devel pam pam-devel patch perl ps pwlib pwlib-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         openmcu
URL:		http://www.openh323.org
Copyright:    Copyright (c) 1993-1998 Equivalence Pty. Ltd., Mozilla Public License Version 1.0
BuildRoot:	%{_tmppath}/%{name}-root
Autoreqprov:  on
Group:        Applications/Multimedia
Summary:      H.323 multipoint control unit
Version:      1.0.8
Release:      49
Source0:      openmcu_%{version}.tar.bz2

%description
OpenMCU implements a multipoint control unit for video conferences
according to the H.323 standard. You might use ohphone as a client
application.

SuSE series: n

%prep
%setup -n openmcu

%build
export PWLIBDIR=/usr/lib/pwlib
export OPENH323DIR=/usr/lib/openh323
make opt

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
if [ `uname -m | cut -b 3-` == "86" ]; then
  export M="x86"
else
if [ `uname -m | cut -b -3` == "ppc" ]; then
  export M="ppc"
else
if [ `uname -m | cut -b -7` == "sparc64" ]; then
  export M="sparc64"
else
if [ `uname -m | cut -b -5` == "sparc" ]; then
  export M="sparc"
else
if [ `uname -m | cut -b -5` == "alpha" ]; then
  export M="alpha"
else
if [ `uname -m | cut -b -4` == "ia64" ]; then
  export M="ia64"
else
if [ `uname -m | cut -b -5` == "s390x" ]; then
  export M="s390x"
else
if [ `uname -m | cut -b -4` == "s390" ]; then
  export M="s390"
else
  export M=`uname -m`
fi
fi
fi
fi
fi
fi
fi
fi
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -c obj_linux_"$M"_r/openmcu $RPM_BUILD_ROOT/usr/sbin

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
/usr/sbin/openmcu

%changelog -n openmcu
* Thu Aug 16 2001 - kkaempf@suse.de
- implement RPM_BUILD_ROOT in spec file.
* Tue Aug 07 2001 - kkaempf@suse.de
- update to 1.0.8
- add openssl, openssl-devel to neededforbuild
* Wed Jan 03 2001 - kkaempf@suse.de
- install directly to /usr/sbin
* Tue Jan 02 2001 - kkaempf@suse.de
- update to maintenance release 0.1alpha2
* Wed Jul 12 2000 - kkaempf@suse.de
- fix sparc machtype
* Mon Jul 10 2000 - kkaempf@suse.de
- fix alpha and ia64
* Mon Jul 03 2000 - kkaempf@suse.de
- fix neededforbuild
* Mon Jul 03 2000 - kkaempf@suse.de
- created package
